[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.RefreshLookupList

Refresh the lookup list

## Declaration

Source position: db.pas line 398

`public procedure TField.RefreshLookupList;`

## Description

RefreshLookupList fills the lookup list for a lookup fields with all key, value pairs found in the lookup dataset. It will open the lookup dataset if needed. The lookup list is only used if the TField.LookupCache property is set to True.

## Errors

If the values of the various lookup properties is not correct or the lookup dataset cannot be opened, then an exception will be raised.

## See also

LookupDataset |  | Dataset with lookup values
LookupKeyFields |  | Names of fields on which to perform a locate
LookupResultField |  | Name of field to use as lookup value